Subject: [netatalk-admins] Root login needed...

From: [email-masked]
Date: 6 Aug 1999 20:03:30 -0000

Oops!  I have another question already.  I've noticed that any attempts at
logging in as root or another user with uid 0 are repelled with the error
"Root login not allowed".  

We need to use netatalk to set up a complicated directory structure for
courses, with different owners and different groups for at least 20
different folders.  The people who do the setting up (which gets repeated
every school year as things change) are mac users, so they like to set
this structure up from the Macintosh.  With CAP we just used a user with
uid 0 to set up the folders.  (Uid 0 is, as far as I know, the only user
who can change the owner and group of arbitrary directories in Unix.)

I can certainly just comment out the check for uid 0, recompile Netatalk,
and use it as we used CAP.  However, I wanted to check with the list to
see if anyone else was doing something like this and had thought of a way
around it.  The need for this doesn't seem all that uncommon, so...
Thanks for any help you guys can give!
	bjh